--- a/configure.seed
+++ b/configure.seed
@@ -6,6 +6,8 @@
 
 AC_PROG_CXX
 
+PKG_PROG_PKG_CONFIG
+
 dnl> Add /usr/local/ /opt/local
 CFLAGS="-I${PWD} -I${PWD}/include"
 CPPFLAGS="${CPPFLAGS} -I${PWD} -I${PWD}/include"
@@ -179,10 +179,10 @@
 fi
 dnl finish: nDPI handling
 
-if test -z `pkg-config --exists libssl`; then
+if ${PKG_CONFIG} --exists libssl; then
  AC_DEFINE_UNQUOTED(NO_SSL_DL, 1, [has openssl])
- SSL_INC="`pkg-config --cflags libssl` -I/usr/include/openssl"
- SSL_LIB="`pkg-config --libs libssl` -lssl -lcrypto"
+ SSL_INC="`${PKG_CONFIG} --cflags libssl` -I/usr/include/openssl"
+ SSL_LIB="`${PKG_CONFIG} --libs libssl` -lssl -lcrypto"
 fi
 
 AC_MSG_CHECKING(for ntopng professional edition)
--- a/Makefile.in
+++ b/Makefile.in
@@ -44,10 +44,10 @@
 
 ######
 LIBRRDTOOL_HOME=${PWD}/third-party/rrdtool-1.4.8
-HAS_LIBRRDTOOL=$(shell pkg-config --atleast-version=1.4.8 librrd; echo $$?)
+HAS_LIBRRDTOOL=$(shell $(PKG_CONFIG) --atleast-version=1.4.8 librrd; echo $$?)
 ifeq ($(HAS_LIBRRDTOOL), 0)
-	LIBRRDTOOL_INC = $(shell pkg-config --cflags librrd)
-	LIBRRDTOOL_LIB = $(shell pkg-config --libs librrd) # -lrrd_th
+	LIBRRDTOOL_INC = $(shell $(PKG_CONFIG) --cflags librrd)
+	LIBRRDTOOL_LIB = $(shell $(PKG_CONFIG) --libs librrd) # -lrrd_th
 else
 	LIBRRDTOOL_INC=-I$(LIBRRDTOOL_HOME)/src/
 	ifeq ($(OS), $(filter $(OS), OpenBSD FreeBSD))
@@ -70,10 +70,10 @@
 
 ######
 
-HAS_JSON=$(shell pkg-config --exists json-c; echo $$?)
+HAS_JSON=$(shell $(PKG_CONFIG) --exists json-c; echo $$?)
 ifeq ($(HAS_JSON), 0)
-	JSON_INC = $(shell pkg-config --cflags json-c)
-	JSON_LIB = $(shell pkg-config --libs json-c)
+	JSON_INC = $(shell $(PKG_CONFIG) --cflags json-c)
+	JSON_LIB = $(shell $(PKG_CONFIG) --libs json-c)
 else
 	JSON_HOME=${PWD}/third-party/json-c
 	JSON_INC=-I$(JSON_HOME)
@@ -83,21 +83,21 @@
 ######
 
 ifeq (@NEDGE@, 0)
- HAS_SODIUM=$(shell pkg-config --exists libsodium; echo $$?)
+ HAS_SODIUM=$(shell $(PKG_CONFIG) --exists libsodium; echo $$?)
  ifeq ($(HAS_SODIUM), 0)
-	SODIUM_INC = $(shell pkg-config --cflags libsodium)
-	SODIUM_LIB = $(shell pkg-config --libs libsodium)
+	SODIUM_INC = $(shell $(PKG_CONFIG) --cflags libsodium)
+	SODIUM_LIB = $(shell $(PKG_CONFIG) --libs libsodium)
  else
 	SODIUM_INC=
 	SODIUM_LIB=
  endif
 
- HAS_ZEROMQ=$(shell pkg-config --exists libzmq; echo $$?)
+ HAS_ZEROMQ=$(shell $(PKG_CONFIG) --exists libzmq; echo $$?)
  ifeq ($(HAS_ZEROMQ), 0)
-	ZEROMQ_INC = $(shell pkg-config --cflags libzmq)
+	ZEROMQ_INC = $(shell $(PKG_CONFIG) --cflags libzmq)
 	ZMQ_STATIC=/usr/local/lib/libzmq.a
 	ifeq ($(wildcard $(ZMQ_STATIC)),)
-		ZEROMQ_LIB = $(shell pkg-config --libs libzmq)
+		ZEROMQ_LIB = $(shell $(PKG_CONFIG) --libs libzmq)
 	else
 		ZEROMQ_LIB = $(ZMQ_STATIC)
 	endif
@@ -106,11 +106,6 @@
 	ZEROMQ_INC=-I$(ZEROMQ_HOME)/include
 	ZEROMQ_LIB=$(ZEROMQ_HOME)/.libs/libzmq.a
  endif
-
- HAS_ZSTD=$(shell pkg-config --exists libzstd; echo $$?)
- ifeq ($(HAS_ZSTD), 0)
-	ZSTD_LIB = $(shell pkg-config --libs libzstd)
- endif
 endif
 
 ######
